package com.ningdatech.pmapi.projectdeclared.controller;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.projectdeclared.manage.FinalAcceptanceManage;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import com.ningdatech.pmapi.projectlib.model.vo.ProjectLibListItemVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;


/**
 * @Classname FinalAcceptanceController
 * @Description 申报项目-终验
 * @Date 2023/6/2 09:29
 * @Author PoffyZhang
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/declared/final-acc")
@Api(value = "FinalAcceptanceController", tags = "申报管理-终验")
@RequiredArgsConstructor
public class FinalAcceptanceController {
    private final FinalAcceptanceManage finalAcceptanceManage;

    @ApiOperation(value = "待终验申报的项目列表", notes = "待终验申报的项目列表")
    @GetMapping("/project-list")
    public PageVo<ProjectLibListItemVO> projectlist(@ModelAttribute ProjectListReq req) {
        return finalAcceptanceManage.projectLibList(req);
    }
}
